// BGraphics.cpp (this is -*- C++ -*-)
// 
// \author: Bjoern Giesler <bjoern@giesler.de>
// 
// 
// 
// $Author: giesler $
// $Locker$
// $Revision$
// $Date: 2002-08-19 10:41:28 +0200 (Mon, 19 Aug 2002) $

/* system includes */
/* (none) */

/* my includes */
#include "BGraphics.h"

BRect::BRect(int x, int y, unsigned int width, unsigned int height)
{
  this->pt.x = x; this->pt.y = y;
  this->sz.width = width; this->sz.height = height;
}

BRect::BRect(const BPoint& point, const BSize& size)
{
  pt = point;
  sz = size;
}

BRect
BRect::insetRect(int left, int right, int top, int bottom) const
{
  return BRect(pt.x + left, pt.y + top,
	       sz.width - left - right, sz.height - top - bottom);
}

void
BRect::fill(BImage& img, uint16 color) const
{
  uint16* bytes = (uint16*)img.bytes();
  int w = img.width();
  for(unsigned int y = pt.y; y < pt.y + sz.height; y++)
    for(unsigned int x = pt.x; x < pt.x + sz.width; x++)
      bytes[y*w + x] = color;
}
