// BTheme.h (this is -*- C++ -*-)
// 
// \author: Bjoern Giesler <bjoern@giesler.de>
// 
// 
// 
// $Author: giesler $
// $Locker$
// $Revision$
// $Date: 2002-08-19 10:41:28 +0200 (Mon, 19 Aug 2002) $

#ifndef BTHEME_H
#define BTHEME_H

/* system includes */
/* (none) */

/* my includes */
#include "BImage.h"
#include "BGraphics.h"
#include "BWidget.h"

class BTheme {
public:
  virtual ~BTheme() {}
  virtual BRect contentRectForWidget(const BWidget& widget) = 0;
  virtual void drawWidgetBackground(BImage& img, BWidget& widget) = 0;
  virtual void drawWidgetFrame(BImage& img, BWidget& widget) = 0;

  static BTheme* currentTheme();
private:
  static BTheme *current;
};

class BSimpleTheme: public BTheme {
public:
  virtual ~BSimpleTheme() {}
  virtual BRect contentRectForWidget(const BWidget& widget);
  virtual void drawWidgetBackground(BImage& img, BWidget& widget);
  virtual void drawWidgetFrame(BImage& img, BWidget& widget);
};


#endif /* BTHEME_H */
